## rspfd 0.04-1

=== Makefile ===
#Makefile for RSPFd
CFLAGS=-Wall -ggdb -DFUNC_DEBUG
# Add -lefence if you have Electric Fence and want to debug.
# LDFLAGS=-lefence
RSPFD_CONF=/etc/rspfd.conf
OBJECTS= rspfd.o queue.o deltaq.o rspfif.o rspfax25.o rspftcp.o rspf_out.o \
	rspfroute.o

all:	rspfd

.c.o:
	$(CC) $(CFLAGS) -c $<

rspfd: $(OBJECTS)
	$(CC) $(LDFLAGS) $(OBJECTS) -o rspfd

clean:
	rm -f *.o rspfd rspfc
	
install:
	install -g root -m 0755 rspfd /usr/sbin/rspfd
	install -o root -m 0755 rspfd.conf $(RSPFD_CONF)

## rspfd 1.0-1

=== debian/changelog ===
rspfd (1.0-1) unstable; urgency=low

  * New upstream
  * Now doesn't use i386 code, Closes: #39856

 -- Craig Small <csmall@debian.org>  Tue, 21 Dec 1999 09:26:03 +1100

rspfd (0.9-1) unstable; urgency=low

  * Initial Release.

 -- Craig Small <csmall@debian.org>  Fri,  4 Jun 1999 15:28:08 +1000

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: rspfd
Section: hamradio
Priority: optional
Maintainer: Craig Small <csmall@debian.org>
Standards-Version: 3.1.1

Package: rspfd
Architecture: any
Depends: ${perl:Depends}, ${shlibs:Depends}
Suggests: ax25-tools, ax25-apps
Description: Radio Shortest Path Daemon
 RSPF is a routing protocol for hamradio wireless links.  This package
 provides a daemon with the latest version of the protocol.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=1

build: build-stamp
build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	#$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	#-$(MAKE) clean
	-$(MAKE) distclean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/tmp.
	./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var
	$(MAKE) prefix=`pwd`/debian/tmp/usr install-exec

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
#	dh_testversion
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
#	dh_installexamples
#	dh_installmenu
#	dh_installemacsen
#	dh_installpam
	dh_installinit
	dh_installcron
	dh_installmanpages
#	dh_installinfo
	dh_undocumented
	dh_installchangelogs ChangeLog
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	# You may want to make some executables suid here.
	dh_suidregister
#	dh_makeshlibs
	dh_installdeb
	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## rspfd 1.0-2

=== debian/changelog ===
rspfd (1.0-2) unstable; urgency=low

  * Fixed build-depends Closes: #84869

 -- Craig Small <csmall@debian.org>  Thu,  1 Mar 2001 08:59:42 +1100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,8 @@
 Section: hamradio
 Priority: optional
 Maintainer: Craig Small <csmall@debian.org>
-Standards-Version: 3.1.1
+Build-Depends: debhelper (>> 2.0.0)
+Standards-Version: 3.5.2
 
 Package: rspfd
 Architecture: any
